#!/bin/bash

# Enforce shell discipline
set -euox pipefail

SOURCE="${BASH_SOURCE[0]}"
DIR=`dirname $SOURCE`
TEST_TEMPLATE_DIR="test"

for filename in $DIR/ci/*.yaml; do
  echo "Dry run with '$filename'"
  mkdir -p ${TEST_TEMPLATE_DIR}
  helm template . -f $filename --set cim.ldap.cimKey.value=test | tee ${TEST_TEMPLATE_DIR}/generated-template.yaml
  kubectl apply --dry-run=client --filename ${TEST_TEMPLATE_DIR}/generated-template.yaml
  rm -rf ${TEST_TEMPLATE_DIR}
  echo `printf "%0.s*" {1..30}`
done
